#!/bin/bash

if [ "$#" -ne 2 ]; then
    echo "Illegal number of parameters."
    echo "First parameter: version number"
    echo "Second parameter: UI root directory"
    exit -1
fi

version="$1"
echo "Package Windows... Version $version"
ui_root_dir="$2"
echo "UI root dir located at $ui_root_dir"
wix="/mnt/c/Program Files (x86)/WiX Toolset v3.11/bin/"
installer="$ui_root_dir/build/distributions/AntTracksTool-$version.msi"
echo "Installer will be created at $installer"

mkdir -p .tmp/AntTracksUI &&
cp -a "$ui_root_dir/build/distributions/." -d .tmp/AntTracksUI &&
"${wix}heat.exe" dir ".tmp\AntTracksUI" -gg -cg ApplicationFiles -ke -srd -dr DYNAMIC -var var.foo -sfrag -o WindowsInstallerSettingsFiles.wxs &&
"${wix}candle.exe" -d"foo=.tmp\AntTracksUI" WindowsInstallerSettingsFiles.wxs &&
"${wix}candle.exe" -d"ProductVersion=$version" -d"ProductUpgradeCode=$(uuidgen)" WindowsInstallerSettings.wxs &&
"${wix}light.exe" WindowsInstallerSettings.wixobj WindowsInstallerSettingsFiles.wixobj -o $installer &&
result=$?

rm -r .tmp
ot_dir/build/distributions/AntTracksTool-$version.msi" &&
result=$?

rm -r .tmp

exit $result


